=== debian/changelog ===
ros-dashing-camera-calibration-parsers (2.1.1-1bionic) bionic; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Thu, 30 May 2019 05:00:00 -0000

ros-dashing-camera-calibration-parsers (2.1.0-1bionic) bionic; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Thu, 09 May 2019 05:00:00 -0000

ros-dashing-camera-calibration-parsers (2.0.0-1bionic) bionic; urgency=high

  * Camera Calibration Parsers ROS2 Port (#105 <https://github.com/ros-perception/image_common/issues/105>)
  * Image Transport ROS2 port (#84 <https://github.com/ros-perception/image_common/issues/84>)
  * Contributors: Michael Carroll

 -- Michael Carroll <michael@openrobotics.org>  Wed, 05 Dec 2018 06:00:00 -0000

ros-dashing-camera-calibration-parsers (1.11.13-1bionic) bionic; urgency=high

  * Use Boost_LIBRARIES instead of Boost_PYTHON_LIBRARY
    This was causing issues when building with python3 since then
    Boost_PYTHON_LIBRARY is not set, instead cmake sets
    Boost_PYTHON3_LIBRARY. So instead of adding each library separately,
    using Boost_LIBRARIES seems to be better. For reference, from the
    cmake docs:
    ```
    Boost_LIBRARIES        - Boost component libraries to be linked
    Boost\_<C>_LIBRARY      - Libraries to link for component <C>
    ```
  * Contributors: Kartik Mohta, Vincent Rabaud

 -- Michael Carroll <michael@openrobotics.org>  Sun, 05 Nov 2017 05:00:00 -0000

ros-dashing-camera-calibration-parsers (1.11.12-1bionic) bionic; urgency=high

  * Properly detect Boost Python 2 or 3
    This fixes #59 <https://github.com/ros-perception/image_common/issues/59>
  * 1.11.11
  * update changelogs
  * Contributors: Vincent Rabaud

 -- Michael Carroll <michael@openrobotics.org>  Sun, 29 Jan 2017 06:00:00 -0000

ros-dashing-camera-calibration-parsers (1.11.11-1bionic) bionic; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Sat, 24 Sep 2016 05:00:00 -0000

ros-dashing-camera-calibration-parsers (1.11.10-1bionic) bionic; urgency=high

  * Add install target for python wrapper library
  * Only link against needed Boost libraries
    9829b02 introduced a python dependency into find_package(Boost..) which
    results in ${Boost_LIBRARIES} containing boost_python and such a
    dependency to libpython at link time. With this patch we only link
    against the needed libraries.
  * Contributors: Jochen Sprickerhof, Vincent Rabaud

 -- Michael Carroll <michael@openrobotics.org>  Tue, 19 Jan 2016 06:00:00 -0000

ros-dashing-camera-calibration-parsers (1.11.9-1bionic) bionic; urgency=high

  * Add python wrapper for readCalibration.
    Reads .ini or .yaml calibration file and returns camera name and sensor_msgs/cameraInfo.
  * Use $catkin_EXPORTED_TARGETS
  * Contributors: Jochen Sprickerhof, Markus Roth

 -- Michael Carroll <michael@openrobotics.org>  Sun, 17 Jan 2016 06:00:00 -0000

ros-dashing-camera-calibration-parsers (1.11.8-1bionic) bionic; urgency=high

  * Remove no-longer-neccessary flags to allow OS X to use 0.3 and 0.5 of yaml-cpp.
  * remove buggy CMake message
  * Contributors: Helen Oleynikova, Vincent Rabaud

 -- Michael Carroll <michael@openrobotics.org>  Sun, 29 Nov 2015 06:00:00 -0000

ros-dashing-camera-calibration-parsers (1.11.7-1bionic) bionic; urgency=high

  * fix #39 <https://github.com/ros-perception/image_common/issues/39>
  * make sure test does not fail
  * Contributors: Vincent Rabaud

 -- Michael Carroll <michael@openrobotics.org>  Tue, 28 Jul 2015 05:00:00 -0000

ros-dashing-camera-calibration-parsers (1.11.6-1bionic) bionic; urgency=high

  * [camera_calibration_parsers] Better error message when calib file can't be written
  * add rosbash as a test dependency
  * add a test dependency now that we have tests
  * parse distortion of arbitraty length in INI
    This fixes #33 <https://github.com/ros-perception/image_common/issues/33>
  * add a test to parse INI calibration files with 5 or 8 D param
  * Add yaml-cpp case for building on Android
  * Contributors: Gary Servin, Isaac IY Saito, Vincent Rabaud

 -- Michael Carroll <michael@openrobotics.org>  Thu, 16 Jul 2015 05:00:00 -0000

ros-dashing-camera-calibration-parsers (1.11.5-1bionic) bionic; urgency=high

  * Fix catkin_make failure (due to yaml-cpp deps) for mac os
  * Contributors: Yifei Zhang

 -- Michael Carroll <michael@openrobotics.org>  Thu, 14 May 2015 05:00:00 -0000

ros-dashing-camera-calibration-parsers (1.11.4-1bionic) bionic; urgency=high

  * fix bad yaml-cpp usage in certain conditions
    fixes #24 <https://github.com/ros-perception/image_common/issues/24>
  * Contributors: Vincent Rabaud

 -- Michael Carroll <michael@openrobotics.org>  Sun, 21 Sep 2014 05:00:00 -0000

ros-dashing-camera-calibration-parsers (1.11.3-1bionic) bionic; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Mon, 19 May 2014 05:00:00 -0000

ros-dashing-camera-calibration-parsers (1.11.2-1bionic) bionic; urgency=high

  * add a dependency on pkg-config to have it work on Indigo

 -- Michael Carroll <michael@openrobotics.org>  Thu, 13 Feb 2014 08:32:06 -0600

ros-dashing-camera-calibration-parsers (1.11.1-1bionic) bionic; urgency=high

  * fix YAML CPP 0.5.x compatibility

 -- Michael Carroll <michael@openrobotics.org>  Sun, 26 Jan 2014 02:32:06 -0600
